#include "Tracer.h"
#include "dal_c_lookups.h"
#include "Interpreter.h"


extern "C" {

#include "dal.h"

}




TableT
dalCLookups()
{
  	PROC

	static int scalar[ 1 ];
	scalar[ 0 ] = 1;

	// ***********************************
	// The lookup table to be constructed.
	// ***********************************
	TableT	lookupTable;

static struct Lookups lookups[] = {
{ string( "addArray" ),				Token( Functor( Functor::C, (void *)addArray,			(void *)(0)))},
{ string( "addColumn" ),			Token( Functor( Functor::C, (void *)addColumn,			(void *)(0)))},
{ string( "addCommentToArray" ),		Token( Functor( Functor::C, (void *)addCommentToArray,		Token::Undefined ))},
{ string( "addCommentToBlock" ),		Token( Functor( Functor::C, (void *)addCommentToBlock,		Token::Undefined))},
{ string( "addCommentToDataSet" ),		Token( Functor( Functor::C, (void *)addCommentToDataSet,	Token::Undefined))},
{ string( "addCommentToTable" ),		Token( Functor( Functor::C, (void *)addCommentToTable,		Token::Undefined))},
{ string( "addHistoryToArray" ),		Token( Functor( Functor::C, (void *)addHistoryToArray,		Token::Undefined ))},
{ string( "addHistoryToBlock" ),		Token( Functor( Functor::C, (void *)addHistoryToBlock,		Token::Undefined))},
{ string( "addHistoryToDataSet" ),		Token( Functor( Functor::C, (void *)addHistoryToDataSet,	Token::Undefined))},
{ string( "addHistoryToTable" ),		Token( Functor( Functor::C, (void *)addHistoryToTable,		Token::Undefined))},
{ string( "addTable" ),				Token( Functor( Functor::C, (void *)addTable,			(void *)(0)))},
{ string( "arrayAttributeComment" ), 		Token( Functor( Functor::C, (void *)arrayAttributeComment,	(void *)(0)))},
{ string( "arrayAttributeUnits" ), 		Token( Functor( Functor::C, (void *)arrayAttributeUnits, 	(void *)(0)))},
{ string( "arrayAttributeWithName" ), 		Token( Functor( Functor::C, (void *)arrayAttributeWithName, 	(void *)(0)))},
{ string( "arrayDataType" ),			Token( Functor( Functor::C, (void *)arrayDataType,		(int)(0)))},
{ string( "arrayHasAttribute" ), 		Token( Functor( Functor::C, (void *)arrayHasAttribute, 		(int)(0)))},
{ string( "arrayToAttributable" ),		Token( Functor( Functor::C, (void *)arrayToAttributable, 	(void *)(0)))},
{ string( "arrayToBlock" ),			Token( Functor( Functor::C, (void *)arrayToBlock, 		(void *)(0)))},
{ string( "arrayToNullable" ),			Token( Functor( Functor::C, (void *)arrayToNullable, 		(void *)(0)))},
{ string( "arrayUnits" ),			Token( Functor( Functor::C, (void *)arrayUnits,			Token( string( "" ))))},
{ string( "arrayWithName" ),			Token( Functor( Functor::C, (void *)arrayWithName,		(void *)(0)))},
{ string( "arrayWithNumber" ),			Token( Functor( Functor::C, (void *)arrayWithNumber,		(void *)(0)))},
{ string( "attributableAttributeWithName" ),	Token( Functor( Functor::C, (void *)attributableAttributeWithName, 	(void *)(0)))},
{ string( "attributeLabel" ), 			Token( Functor( Functor::C, (void *)attributeLabel, 		(void *)(0)))},
{ string( "attributeUnits" ), 			Token( Functor( Functor::C, (void *)attributeUnits, 		(void *)(0)))},
{ string( "blockAttributeComment" ), 		Token( Functor( Functor::C, (void *)blockAttributeComment, 	(void *)(0)))},
{ string( "blockAttributeUnits" ), 		Token( Functor( Functor::C, (void *)blockAttributeUnits, 	(void *)(0)))},
{ string( "blockAttributeWithName" ), 		Token( Functor( Functor::C, (void *)blockAttributeWithName, 	(void *)(0)))},
{ string( "blockHasAttribute" ),		Token( Functor( Functor::C, (void *)blockHasAttribute,		(int)(0)))},
{ string( "blockLabel" ),			Token( Functor( Functor::C, (void *)blockLabel,			Token(string(""))))},
{ string( "blockNumber" ), 			Token( Functor( Functor::C, (void *)blockNumber,		(int)(0)))},
{ string( "blockToAttributable" ),		Token( Functor( Functor::C, (void *)blockToAttributable, 	(void *)(0)))},
{ string( "blockType" ), 			Token( Functor( Functor::C, (void *)blockType,			(int)(0)))},
{ string( "blockWithName" ),			Token( Functor( Functor::C, (void *)blockWithName,		(void *)(0)))},
{ string( "blockWithNumber" ),			Token( Functor( Functor::C, (void *)blockWithNumber,		(void *)(0)))},
{ string( "booleanArrayAttribute" ),		Token( Functor( Functor::C, (void *)boolArrayAttribute, 	(int)(0)))},
{ string( "booleanArrayData" ), 		Token( Functor( Functor::C, (void *)boolArrayData, 		(void *)(0)))},
{ string( "booleanBlockAttribute" ), 		Token( Functor( Functor::C, (void *)boolBlockAttribute, 	(int)(0)))},
{ string( "boolCellData" ),			Token( Functor( Functor::C, (void *)boolCellData,		PointerDescriptor(Token::Integer,1,0)))},
{ string( "booleanColumnAttribute" ), 		Token( Functor( Functor::C, (void *)boolColumnAttribute, 	(int)(0)))},
{ string( "booleanColumnData" ), 		Token( Functor( Functor::C, (void *)boolColumnData, 		(void *)(0)))},
{ string( "booleanDataSetAttribute" ), 		Token( Functor( Functor::C, (void *)boolDataSetAttribute,	(int)(0)))},
{ string( "booleanTableAttribute" ), 		Token( Functor( Functor::C, (void *)boolDataSetAttribute, 	(int)(0)))},
{ string( "cellSize" ),				Token( Functor( Functor::C, (void *)cellSize,			(int)(0)))},
{ string( "clobber" ),				Token( Functor( Functor::C, (void *)clobber,			(int)(0)))},
{ string( "columnAttributeComment" ),		Token( Functor( Functor::C, (void *)columnAttributeComment,	Token(string(""))))},
{ string( "columnAttributeUnits" ),		Token( Functor( Functor::C, (void *)columnAttributeUnits,	Token(string(""))))},
{ string( "columnAttributeWithName" ), 		Token( Functor( Functor::C, (void *)columnAttributeWithName, 	(void *)(0)))},
{ string( "columnHasAttribute" ), 		Token( Functor( Functor::C, (void *)columnHasAttribute, 	(int)(0)))},
{ string( "columnLabel" ),			Token( Functor( Functor::C, (void *)columnLabel,		Token(string(""))))},
{ string( "columnDataIndex" ),			Token( Functor( Functor::C, (void *)columnDataIndex,		(int)(0)))},
{ string( "columnDataType" ),			Token( Functor( Functor::C, (void *)columnDataType,		(int)(0)))},
{ string( "columnNumber" ),			Token( Functor( Functor::C, (void *)columnNumber,		(int)(0)))},
{ string( "columnToAttributable" ),		Token( Functor( Functor::C, (void *)columnToAttributable, 	(void *)(0)))},
{ string( "columnToNullable" ),			Token( Functor( Functor::C, (void *)columnToNullable, 		(void *)(0)))},
{ string( "columnUnits" ),			Token( Functor( Functor::C, (void *)columnUnits,		Token( string(""))))},
{ string( "columnWithName" ),			Token( Functor( Functor::C, (void *)columnWithName,		(void *)(0)))},
{ string( "columnWithNumber" ),			Token( Functor( Functor::C, (void *)columnWithNumber,		(void *)(0)))},
{ string( "copyAttributesOfArray" ),		Token( Functor( Functor::C, (void *)copyAttributesOfArray, 	Token::Undefined ))},
{ string( "copyAttributesOfBlock" ),		Token( Functor( Functor::C, (void *)copyAttributesOfBlock, 	Token::Undefined ))},
{ string( "copyAttributesOfColumn" ),		Token( Functor( Functor::C, (void *)copyAttributesOfColumn, 	Token::Undefined ))},
{ string( "copyAttributesOfDataSet" ),		Token( Functor( Functor::C, (void *)copyAttributesOfDataSet, 	Token::Undefined ))},
{ string( "copyAttributesOfTable" ),		Token( Functor( Functor::C, (void *)copyAttributesOfTable, 	Token::Undefined ))},
{ string( "copyAttributeToArray" ), 		Token( Functor( Functor::C, (void *)copyAttributeToArray, 	Token::Undefined ))},
{ string( "copyAttributeToBlock" ), 		Token( Functor( Functor::C, (void *)copyAttributeToBlock, 	Token::Undefined ))},
{ string( "copyAttributeToColumn" ), 		Token( Functor( Functor::C, (void *)copyAttributeToColumn, 	Token::Undefined ))},
{ string( "copyAttributeToDataSet" ), 		Token( Functor( Functor::C, (void *)copyAttributeToDataSet, 	Token::Undefined ))},
{ string( "copyAttributeToTable" ), 		Token( Functor( Functor::C, (void *)copyAttributeToTable, 	Token::Undefined ))},
{ string( "copyRows" ), 			Token( Functor( Functor::C, (void *)copyRows, 			Token::Undefined ))},
{ string( "dataComponentToNullable" ),		Token( Functor( Functor::C, (void *)dataComponentToNullable, 	(void *)(0)))},
{ string( "dataSet" ),				Token( Functor( Functor::C, (void *)dataSet,			(void *)(0)	))},
{ string( "dataSetAttributeComment" ), 		Token( Functor( Functor::C, (void *)dataSetAttributeComment, 	(void *)(0)))},
{ string( "dataSetAttributeUnits" ), 		Token( Functor( Functor::C, (void *)dataSetAttributeUnits, 	(void *)(0)))},
{ string( "dataSetAttributeWithName" ),		Token( Functor( Functor::C, (void *)dataSetAttributeWithName, 	(void *)(0)))},
{ string( "dataSetHasAttribute" ), 		Token( Functor( Functor::C, (void *)dataSetHasAttribute, 	(int)(0)))},
{ string( "dataSetToAttributable" ),		Token( Functor( Functor::C, (void *)dataSetToAttributable, 	(void *)(0)))},
{ string( "deleteArrayAttributeWithName" ), 	Token( Functor( Functor::C, (void *)deleteArrayAttributeWithName, 	Token::Undefined ))},
{ string( "deleteArrayAttributeWithNumber" ), 	Token( Functor( Functor::C, (void *)deleteArrayAttributeWithNumber,	Token::Undefined ))},
{ string( "deleteAttribute" ), 			Token( Functor( Functor::C, (void *)deleteAttribute, 		Token::Undefined ))},
{ string( "deleteBlockAttributeWithName" ), 	Token( Functor( Functor::C, (void *)deleteBlockAttributeWithName, 	Token::Undefined ))},
{ string( "deleteBlockAttributeWithNumber" ), 	Token( Functor( Functor::C, (void *)deleteBlockAttributeWithNumber, 	Token::Undefined ))},
{ string( "deleteBlockWithName" ), 		Token( Functor( Functor::C, (void *)deleteBlockWithName, 	Token::Undefined ))},
{ string( "deleteBlockWithNumber" ), 		Token( Functor( Functor::C, (void *)deleteBlockWithNumber, 	Token::Undefined ))},
{ string( "deleteColumnAttributeWithName" ), 	Token( Functor( Functor::C, (void *)deleteColumnAttributeWithName, 	Token::Undefined ))},
{ string( "deleteColumnAttributeWithNumber" ), 	Token( Functor( Functor::C, (void *)deleteColumnAttributeWithNumber, 	Token::Undefined ))},
{ string( "deleteColumnWithName" ), 		Token( Functor( Functor::C, (void *)deleteColumnWithName, 	Token::Undefined ))},
{ string( "deleteColumnWithNumber" ), 		Token( Functor( Functor::C, (void *)deleteColumnWithNumber,	Token::Undefined ))},
{ string( "deleteDataSetAttributeWithName" ), 	Token( Functor( Functor::C, (void *)deleteDataSetAttributeWithName, 	Token::Undefined ))},
{ string( "deleteDataSetAttributeWithNumber" ), Token( Functor( Functor::C, (void *)deleteDataSetAttributeWithNumber, 	Token::Undefined ))},
{ string( "deleteTableAttributeWithName" ), 	Token( Functor( Functor::C, (void *)deleteTableAttributeWithName,	Token::Undefined ))},
{ string( "deleteTableAttributeWithNumber" ), 	Token( Functor( Functor::C, (void *)deleteTableAttributeWithNumber, 	Token::Undefined ))},
{ string( "deleteRows" ), 			Token( Functor( Functor::C, (void *)deleteRows, 		Token::Undefined ))},
{ string( "dimensionsOfArray" ),		Token( Functor( Functor::C, (void *)dimensionsOfArray,		PointerDescriptor( Token::Integer, 1, 0 )))},
{ string( "dimensionsOfColumn" ),		Token( Functor( Functor::C, (void *)dimensionsOfColumn,		PointerDescriptor( Token::Integer, 1, 0 )))},
{ string( "discardDataSet" ),			Token( Functor( Functor::C, (void *)discardDataSet,		Token::Undefined ))},
{ string( "forEachSubTable" ),			Token( Functor( Functor::C, (void *)forEachSubTable, 		Token::Undefined ))},
{ string( "hasNullsArray" ),			Token( Functor( Functor::C, (void *)hasNullsArray,	 	(int)(0)))},
{ string( "hasNullsColumn" ),			Token( Functor( Functor::C, (void *)hasNullsColumn,	 	(int)(0)))},
{ string( "hasScalingOfArray" ),		Token( Functor( Functor::C, (void *)hasScalingOfArray,		Token::Undefined ))},
{ string( "hasScalingOfColumn" ),		Token( Functor( Functor::C, (void *)hasScalingOfColumn,		Token::Undefined ))},
{ string( "historyOfArray" ),			Token( Functor( Functor::C, (void *)historyOfArray,		Token( string( "" ))))},
{ string( "historyOfBlock" ),			Token( Functor( Functor::C, (void *)historyOfBlock,		Token( string( "" ))))},
{ string( "historyOfDataSet" ),			Token( Functor( Functor::C, (void *)historyOfDataSet,		Token( string( "" ))))},
{ string( "historyOfTable" ),			Token( Functor( Functor::C, (void *)historyOfTable,		Token( string( "" ))))},
{ string( "insertRows" ), 			Token( Functor( Functor::C, (void *)insertRows, 		Token::Undefined ))},
{ string( "int8ArrayAttribute" ),		Token( Functor( Functor::C, (void *)int8ArrayAttribute,		(int)(0)))},
{ string( "int8ArrayData" ),			Token( Functor( Functor::C, (void *)int8ArrayData,		PointerDescriptor(Token::Character,1,0)))},
{ string( "int8Attribute" ), 			Token( Functor( Functor::C, (void *)int8Attribute,		(int)(0)))},
{ string( "int8BlockAttribute" ), 		Token( Functor( Functor::C, (void *)int8BlockAttribute,		(int)(0)))},
{ string( "int8CellData" ),			Token( Functor( Functor::C, (void *)int8CellData,		PointerDescriptor(Token::Character,1,0)))},
{ string( "int8ColumnAttribute" ),		Token( Functor( Functor::C, (void *)int8ColumnAttribute,	(int)(0)))},
{ string( "int8ColumnData" ),			Token( Functor( Functor::C, (void *)int8ColumnData,		PointerDescriptor(Token::Character,1,0)))},
{ string( "int8DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)int8DataSetAttribute, 	(int)(0)))},
{ string( "int8TableAttribute" ), 		Token( Functor( Functor::C, (void *)int8TableAttribute, 	(int)(0)))},
{ string( "int16ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)int16ArrayAttribute,	(int)(0)))},
{ string( "int16ArrayData" ),			Token( Functor( Functor::C, (void *)int16ArrayData,		PointerDescriptor( Token::Short, 1, 0 )))},
{ string( "int16Attribute" ), 			Token( Functor( Functor::C, (void *)int16Attribute,		(int)(0)))},
{ string( "int16BlockAttribute" ), 		Token( Functor( Functor::C, (void *)int16BlockAttribute,	(int)(0)))},
{ string( "int16CellData" ),			Token( Functor( Functor::C, (void *)int16CellData,		PointerDescriptor( Token::Short, 1, 0 )))},
{ string( "int16ColumnAttribute" ),		Token( Functor( Functor::C, (void *)int16ColumnAttribute,	(int)(0)))},
{ string( "int16ColumnData" ),			Token( Functor( Functor::C, (void *)int16ColumnData,		PointerDescriptor( Token::Short, 1, 0 )))},
{ string( "int16DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)int16DataSetAttribute, 	(int)(0)))},
{ string( "int16TableAttribute" ), 		Token( Functor( Functor::C, (void *)int16TableAttribute, 	(int)(0)))},
{ string( "int32ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)int32ArrayAttribute,	(int)(0)))},
{ string( "int32ArrayData" ),			Token( Functor( Functor::C, (void *)int32ArrayData,		PointerDescriptor( Token::Integer, 1, 0 )))},
{ string( "int32AttributableAttribute" ),	Token( Functor( Functor::C, (void *)int32AttributableAttribute,	(int)(0)))},
{ string( "int32Attribute" ), 			Token( Functor( Functor::C, (void *)int32Attribute,		(int)(0)))},
{ string( "int32BlockAttribute" ), 		Token( Functor( Functor::C, (void *)int32BlockAttribute,	(int)(0)))},
{ string( "int32CellData" ),			Token( Functor( Functor::C, (void *)int32CellData,		PointerDescriptor( Token::Integer, 1, 0 )))},
{ string( "int32ColumnAttribute" ),		Token( Functor( Functor::C, (void *)int32ColumnAttribute,	(int)(0)))},
{ string( "int32ColumnData" ),			Token( Functor( Functor::C, (void *)int32ColumnData,		PointerDescriptor( Token::Integer, 1, 0 )))},
{ string( "int32DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)int32DataSetAttribute, 	(int)(0)))},
{ string( "int32TableAttribute" ), 		Token( Functor( Functor::C, (void *)int32TableAttribute, 	(int)(0)))},
{ string( "intNullValueArray" ),		Token( Functor( Functor::C, (void *)intNullValueArray, 		(int)(0)))},
{ string( "intNullValueColumn" ),		Token( Functor( Functor::C, (void *)intNullValueColumn,		(int)(0)))},
{ string( "intNullValueDataComponent" ),	Token( Functor( Functor::C, (void *)intNullValueDataComponent,	(int)(0)))},
{ string( "intNullValueNullable" ),		Token( Functor( Functor::C, (void *)intNullValueNullable, 	(int)(0)))},
{ string( "isNullArray" ),			Token( Functor( Functor::C, (void *)isNullArray,	 	(int)(0)))},
{ string( "isNullCell" ),			Token( Functor( Functor::C, (void *)isNullCell,		 	(int)(0)))},
{ string( "isNullColumn" ),			Token( Functor( Functor::C, (void *)isNullColumn,	 	(int)(0)))},
{ string( "keepDataSet" ),			Token( Functor( Functor::C, (void *)keepDataSet,		Token::Undefined ))},
{ string( "mode" ),				Token( Functor( Functor::C, (void *)mode,			(int)(0)))},
{ string( "nameOfArray" ),			Token( Functor( Functor::C, (void *)nameOfArray,		Token( string( "" ))))},
{ string( "nameOfAttributable" ),		Token( Functor( Functor::C, (void *)nameOfAttributable,		Token( string( "" ))))},
{ string( "nameOfAttribute" ),			Token( Functor( Functor::C, (void *)nameOfAttribute,		Token( string( "" ))))},
{ string( "nameOfBlock" ),			Token( Functor( Functor::C, (void *)nameOfBlock,		Token( string( "" ))))},
{ string( "nameOfColumn" ),			Token( Functor( Functor::C, (void *)nameOfColumn,		Token( string( "" ))))},
{ string( "nameOfDataSet" ),			Token( Functor( Functor::C, (void *)nameOfDataSet,		Token( string( "" ))))},
{ string( "nameOfTable" ),			Token( Functor( Functor::C, (void *)nameOfTable,		Token( string( "" ))))},
{ string( "nullDefinedArray" ),			Token( Functor( Functor::C, (void *)nullDefinedArray,		(int)(0)))},
{ string( "nullDefinedColumn" ),		Token( Functor( Functor::C, (void *)nullDefinedColumn,		(int)(0)))},
{ string( "nullDefinedDataComponent" ),		Token( Functor( Functor::C, (void *)nullDefinedDataComponent,	(int)(0)))},
{ string( "nullDefinedNullable" ),		Token( Functor( Functor::C, (void *)nullDefinedNullable,	(int)(0)))},
{ string( "numberOfBlocks" ),			Token( Functor( Functor::C, (void *)numberOfBlocks,		(int)(0)))},
{ string( "numberOfColumns" ),			Token( Functor( Functor::C, (void *)numberOfBlocks,		(int)(0)))},
{ string( "numberOfDimensionsOfArray" ),	Token( Functor( Functor::C, (void *)numberOfDimensionsOfArray, 	(int)(0)))},
{ string( "numberOfDimensionsOfColumn" ),	Token( Functor( Functor::C, (void *)numberOfDimensionsOfColumn, (int)(0)))},
{ string( "numberOfElementsOfArray" ),		Token( Functor( Functor::C, (void *)numberOfElementsOfArray, 	(int)(0)))},
{ string( "numberOfElementsOfColumn" ),		Token( Functor( Functor::C, (void *)numberOfElementsOfColumn, 	(int)(0)))},
//{ string( "NUMBEROFELEMENTSOFROWS" ),		Token( Functor( Functor::C, (void *)numberOfRows, 		(int)(0)))},
{ string( "numberOfHistorysOfArray" ),		Token( Functor( Functor::C, (void *)numberOfHistorysOfArray, 	(int)(0)))},
{ string( "numberOfHistorysOfBlock" ),		Token( Functor( Functor::C, (void *)numberOfHistorysOfBlock, 	(int)(0)))},
{ string( "numberOfHistorysOfDataSet" ),	Token( Functor( Functor::C, (void *)numberOfHistorysOfDataSet, 	(int)(0)))},
{ string( "numberOfHistorysOfTable" ),		Token( Functor( Functor::C, (void *)numberOfHistorysOfTable, 	(int)(0)))},
{ string( "numberOfRowsOfColumn" ),		Token( Functor( Functor::C, (void *)numberOfRowsOfColumn, 	(int)(0)))},
{ string( "numberOfRowsOfTable" ),		Token( Functor( Functor::C, (void *)numberOfRowsOfTable, 	(int)(0)))},
{ string( "real32ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)real32ArrayAttribute, 	(double)(0.0) ))},
{ string( "real32ArrayData" ),			Token( Functor( Functor::C, (void *)real32ArrayData,		PointerDescriptor( Token::Single, 1, 0)))},
{ string( "real32Attribute" ), 			Token( Functor( Functor::C, (void *)real32Attribute, 		(double)(0.0) ))},
{ string( "real32BlockAttribute" ), 		Token( Functor( Functor::C, (void *)real32BlockAttribute, 	(double)(0.0) ))},
{ string( "real32CellData" ),			Token( Functor( Functor::C, (void *)real32CellData,		PointerDescriptor( Token::Real, 1, 0 )))},
{ string( "real32ColumnAttribute" ), 		Token( Functor( Functor::C, (void *)real32ColumnAttribute, 	(double)(0.0) ))},
{ string( "real32ColumnData" ),			Token( Functor( Functor::C, (void *)real32ColumnData,		PointerDescriptor( Token::Real, 1, 0 )))},
{ string( "real32DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)real32DataSetAttribute,	(double)(0.0) ))},
{ string( "real32TableAttribute" ), 		Token( Functor( Functor::C, (void *)real32TableAttribute, 	(double)(0.0) ))},
{ string( "real64ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)real64ArrayAttribute, 	(double)(0.0) ))},
{ string( "real64ArrayData" ),			Token( Functor( Functor::C, (void *)real64ArrayData,		PointerDescriptor( Token::Real, 1, 0 )))},
{ string( "real64Attribute" ), 			Token( Functor( Functor::C, (void *)real64Attribute, 		(double)(0.0) ))},
{ string( "real64BlockAttribute" ), 		Token( Functor( Functor::C, (void *)real64BlockAttribute, 	(double)(0.0) ))},
{ string( "real64CellData" ),			Token( Functor( Functor::C, (void *)real64CellData,		PointerDescriptor( Token::Real, 1, 0 )))},
{ string( "real64ColumnAttribute" ), 		Token( Functor( Functor::C, (void *)real64ColumnAttribute, 	(double)(0.0) ))},
{ string( "real64ColumnData" ),			Token( Functor( Functor::C, (void *)real64ColumnData,		PointerDescriptor( Token::Real, 1, 0 )))},
{ string( "real64DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)real64DataSetAttribute,	(double)(0.0) ))},
{ string( "real64TableAttribute" ), 		Token( Functor( Functor::C, (void *)real64TableAttribute,	(double)(0.0) ))},
{ string( "relabelArray" ), 			Token( Functor( Functor::C, (void *)relabelArray,		Token::Undefined))},
{ string( "relabelBlock" ), 			Token( Functor( Functor::C, (void *)relabelBlock,		Token::Undefined))},
{ string( "relabelColumn" ), 			Token( Functor( Functor::C, (void *)relabelColumn,		Token::Undefined))},
{ string( "relabelDataSet" ), 			Token( Functor( Functor::C, (void *)relabelColumn,		Token::Undefined))},
{ string( "relabelTable" ), 			Token( Functor( Functor::C, (void *)relabelTable,		Token::Undefined))},
{ string( "releaseArray" ), 			Token( Functor( Functor::C, (void *)releaseArray,		Token::Undefined))},
{ string( "releaseBlock" ), 			Token( Functor( Functor::C, (void *)releaseBlock,		Token::Undefined))},
{ string( "releaseColumn" ), 			Token( Functor( Functor::C, (void *)releaseColumn,		Token::Undefined))},
{ string( "releaseDataSet" ), 			Token( Functor( Functor::C, (void *)releaseDataSet,		Token::Undefined))},
{ string( "releaseTable" ), 			Token( Functor( Functor::C, (void *)releaseTable,		Token::Undefined))},
{ string( "renameArray" ), 			Token( Functor( Functor::C, (void *)renameArray,		Token::Undefined))},
{ string( "renameBlock" ), 			Token( Functor( Functor::C, (void *)renameBlock,		Token::Undefined))},
{ string( "renameColumn" ), 			Token( Functor( Functor::C, (void *)renameColumn,		Token::Undefined))},
{ string( "renameDataSet" ), 			Token( Functor( Functor::C, (void *)renameDataSet,		Token::Undefined))},
{ string( "renameTable" ), 			Token( Functor( Functor::C, (void *)renameTable,		Token::Undefined))},
{ string( "setBooleanArrayAttribute" ),	 	Token( Functor( Functor::C, (void *)setBoolArrayAttribute, 	Token::Undefined))},
{ string( "setBooleanAttribute" ), 		Token( Functor( Functor::C, (void *)setBoolAttribute, 		Token::Undefined))},
{ string( "setBooleanBlockAttribute" ),	 	Token( Functor( Functor::C, (void *)setBoolBlockAttribute, 	Token::Undefined))},
{ string( "setBooleanColumnAttribute" ),	Token( Functor( Functor::C, (void *)setBoolColumnAttribute, 	Token::Undefined))},
{ string( "setBooleanDataSetAttribute" ),	Token( Functor( Functor::C, (void *)setBoolDataSetAttribute, 	Token::Undefined))},
{ string( "setBooleanTableAttribute" ),	 	Token( Functor( Functor::C, (void *)setBoolTableAttribute, 	Token::Undefined))},
{ string( "setCellSize" ), 			Token( Functor( Functor::C, (void *)setCellSize, 		Token::Undefined))},
{ string( "setExists" ),			Token( Functor( Functor::C, (void *)setExists,			(int)(0)))},
{ string( "setInt8ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setInt8ArrayAttribute, 	Token::Undefined))},
{ string( "setInt8Attribute" ), 		Token( Functor( Functor::C, (void *)setInt8Attribute, 		Token::Undefined))},
{ string( "setInt8BlockAttribute" ), 		Token( Functor( Functor::C, (void *)setInt8BlockAttribute, 	Token::Undefined))},
{ string( "setInt8ColumnAttribute" ), 		Token( Functor( Functor::C, (void *)setInt8ColumnAttribute, 	Token::Undefined))},
{ string( "setInt8DataSetAttribute" ), 		Token( Functor( Functor::C, (void *)setInt8DataSetAttribute, 	Token::Undefined))},
{ string( "setInt8TableAttribute" ), 		Token( Functor( Functor::C, (void *)setInt8TableAttribute, 	Token::Undefined))},
{ string( "setInt16ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setInt16ArrayAttribute, 	Token::Undefined))},
{ string( "setInt16Attribute" ), 		Token( Functor( Functor::C, (void *)setInt16Attribute, 		Token::Undefined))},
{ string( "setInt16BlockAttribute" ), 		Token( Functor( Functor::C, (void *)setInt16BlockAttribute, 	Token::Undefined))},
{ string( "setInt16ColumnAttribute" ), 		Token( Functor( Functor::C, (void *)setInt16ColumnAttribute, 	Token::Undefined))},
{ string( "setInt16DataSetAttribute" ),		Token( Functor( Functor::C, (void *)setInt16DataSetAttribute, 	Token::Undefined))},
{ string( "setInt16TableAttribute" ), 		Token( Functor( Functor::C, (void *)setInt16TableAttribute, 	Token::Undefined))},
{ string( "setInt32ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setInt32ArrayAttribute, 	Token::Undefined))},
{ string( "setInt32AttributableAttribute" ),	Token( Functor( Functor::C, (void *)setInt32AttributableAttribute, 	Token::Undefined))},
{ string( "setInt32Attribute" ), 		Token( Functor( Functor::C, (void *)setInt32Attribute, 		Token::Undefined))},
{ string( "setInt32BlockAttribute" ), 		Token( Functor( Functor::C, (void *)setInt32BlockAttribute, 	Token::Undefined))},
{ string( "setInt32ColumnAttribute" ), 		Token( Functor( Functor::C, (void *)setInt32ColumnAttribute, 	Token::Undefined))},
{ string( "setInt32DataSetAttribute" ),		Token( Functor( Functor::C, (void *)setInt32DataSetAttribute, 	Token::Undefined))},
{ string( "setInt32TableAttribute" ), 		Token( Functor( Functor::C, (void *)setInt32TableAttribute, 	Token::Undefined))},
{ string( "setNullValueArray" ),		Token( Functor( Functor::C, (void *)setNullValueArray, 		Token::Undefined))},
{ string( "setNullValueColumn" ),		Token( Functor( Functor::C, (void *)setNullValueColumn,		Token::Undefined))},
{ string( "setNullValueDataComponent" ),	Token( Functor( Functor::C, (void *)setNullValueDataComponent,	Token::Undefined))},
{ string( "setNullValueNullable" ),		Token( Functor( Functor::C, (void *)setNullValueNullable, 	Token::Undefined))},
{ string( "setReal32ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setReal32ArrayAttribute, 	Token::Undefined))},
{ string( "setReal32Attribute" ), 		Token( Functor( Functor::C, (void *)setReal32Attribute, 	Token::Undefined))},
{ string( "setReal32BlockAttribute" ), 		Token( Functor( Functor::C, (void *)setReal32BlockAttribute, 	Token::Undefined))},
{ string( "setReal32ColumnAttribute" ),		Token( Functor( Functor::C, (void *)setReal32ColumnAttribute,	Token::Undefined))},
{ string( "setReal32DataSetAttribute" ),	Token( Functor( Functor::C, (void *)setReal32DataSetAttribute,	Token::Undefined))},
{ string( "setReal32TableAttribute" ), 		Token( Functor( Functor::C, (void *)setReal64TableAttribute, 	Token::Undefined))},
{ string( "setReal64ArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setReal64ArrayAttribute, 	Token::Undefined))},
{ string( "setReal64Attribute" ), 		Token( Functor( Functor::C, (void *)setReal64Attribute, 	Token::Undefined))},
{ string( "setReal64BlockAttribute" ), 		Token( Functor( Functor::C, (void *)setReal64BlockAttribute, 	Token::Undefined))},
{ string( "setReal64ColumnAttribute" ),		Token( Functor( Functor::C, (void *)setReal64ColumnAttribute, 	Token::Undefined))},
{ string( "setReal64DataSetAttribute" ),	Token( Functor( Functor::C, (void *)setReal64DataSetAttribute,	Token::Undefined))},
{ string( "setReal64TableAttribute" ), 		Token( Functor( Functor::C, (void *)setReal64TableAttribute, 	Token::Undefined))},
{ string( "setStringArrayAttribute" ), 		Token( Functor( Functor::C, (void *)setStringArrayAttribute, 	Token::Undefined))},
{ string( "setStringAttribute" ), 		Token( Functor( Functor::C, (void *)setStringAttribute, 	Token::Undefined))},
{ string( "setStringBlockAttribute" ), 		Token( Functor( Functor::C, (void *)setStringBlockAttribute, 	Token::Undefined))},
{ string( "setStringColumnAttribute" ),		Token( Functor( Functor::C, (void *)setStringColumnAttribute, 	Token::Undefined))},
{ string( "setStringDataSetAttribute" ),	Token( Functor( Functor::C, (void *)setStringDataSetAttribute,	Token::Undefined))},
{ string( "setStringTableAttribute" ), 		Token( Functor( Functor::C, (void *)setStringTableAttribute, 	Token::Undefined))},
{ string( "setToNullArray" ), 			Token( Functor( Functor::C, (void *)setToNullArray, 		Token::Undefined))},
{ string( "setToNullCell" ), 			Token( Functor( Functor::C, (void *)setToNullCell, 		Token::Undefined))},
{ string( "setToNullColumn" ), 			Token( Functor( Functor::C, (void *)setToNullColumn, 		Token::Undefined))},
{ string( "stringArrayAttribute" ), 		Token( Functor( Functor::C, (void *)stringArrayAttribute,	Token(string(""))))},
{ string( "stringArrayData" ), 			Token( Functor( Functor::C, (void *)stringArrayData, 		(void *)(0)))},
{ string( "stringBlockAttribute" ), 		Token( Functor( Functor::C, (void *)stringBlockAttribute,	Token(string(""))))},
{ string( "stringCellData" ),			Token( Functor( Functor::C, (void *)stringCellData,		PointerDescriptor(Token::Character,1,0 )))},
{ string( "stringColumnAttribute" ), 		Token( Functor( Functor::C, (void *)stringColumnAttribute,	Token(string(""))))},
{ string( "stringColumnData" ), 		Token( Functor( Functor::C, (void *)stringColumnData, 		(void *)(0)))},
{ string( "stringDataSetAttribute" ), 		Token( Functor( Functor::C, (void *)stringDataSetAttribute,	Token(string(""))))},
{ string( "stringTableAttribute" ), 		Token( Functor( Functor::C, (void *)stringTableAttribute,	Token(string(""))))},
{ string( "tableAttributeComment" ), 		Token( Functor( Functor::C, (void *)tableAttributeComment, 	(void *)(0)))},
{ string( "tableAttributeUnits" ), 		Token( Functor( Functor::C, (void *)tableAttributeUnits, 	(void *)(0)))},
{ string( "tableAttributeWithName" ), 		Token( Functor( Functor::C, (void *)tableAttributeWithName, 	(void *)(0)))},
{ string( "tableHasAttribute" ), 		Token( Functor( Functor::C, (void *)tableHasAttribute, 		(int)(0)))},
{ string( "tableLabel" ),			Token( Functor( Functor::C, (void *)tableLabel,			Token(string(""))))},
{ string( "tableToAttributable" ),		Token( Functor( Functor::C, (void *)tableToAttributable, 	(void *)(0)))},
{ string( "tableToBlock" ),			Token( Functor( Functor::C, (void *)tableToBlock, 		(void *)(0)))},
{ string( "tableWithName" ),			Token( Functor( Functor::C, (void *)tableWithName,		(void *)(0)))},
{ string( "tableWithNumber" ),			Token( Functor( Functor::C, (void *)tableWithNumber,		(void *)(0)))},

{ string( "arrayType" ),			Token( int( ArrayType )) },
{ string( "asParent" ),				Token( int( AsParent )) },
{ string( "Create" ),				Token( int( Create )) },
{ string( "High" ),				Token( int( High )) },
{ string( "HighLow" ),				Token( int( HighLow )) },
{ string( "Low" ),				Token( int( Low )) },
{ string( "Modify" ),				Token( int( Modify )) },
{ string( "Read" ),				Token( int( Read )) },
{ string( "tableType" ),			Token( int( TableType )) },
{ string( "Temp" ),				Token( int( Temp )) },
{ string( "UseEnvironment" ),			Token( int( UseEnvironment )) },

{ string( "EraseAllFirst" ),			Token( int( EraseAllFirst )) },
{ string( "Merge" ),				Token( int( Merge )) },
{ string( "scalar" ),				Token( PointerDescriptor( Token::Integer, 1, &scalar )) },
};

	const unsigned int numberOfFunctions =

				sizeof lookups /
				sizeof( Lookups );

	for( unsigned int i = 0; i < numberOfFunctions; ++i )
	{

		lookupTable.Insert( lookups[ i ].name, lookups[ i ].token );
	} // for

	//lookupTable.append( ::Functions(
	//			FunctionLookups,
	//			numberOfFunctions ));

	RETURN lookupTable;

}

